From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Modern-Perl/
Date: Sun, 27 May 2012 02:30:19 +0000 (UTC) [thread overview]
Message-ID: <1338075856.0ec3111629eeb814a37abdaf172b1ebe94786015.kent@gentoo> (raw)
commit: 0ec3111629eeb814a37abdaf172b1ebe94786015
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sat May 26 23:44:16 2012 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sat May 26 23:44:16 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=0ec31116
[newversion] Modern-Perl-1.201.205.210
(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)
---
dev-perl/Modern-Perl/ChangeLog | 6 ++
.../Modern-Perl/Modern-Perl-1.201.205.210.ebuild | 52 ++++++++++++++++++++
2 files changed, 58 insertions(+), 0 deletions(-)
diff --git a/dev-perl/Modern-Perl/ChangeLog b/dev-perl/Modern-Perl/ChangeLog
index 229d60c..41ce5ff 100644
--- a/dev-perl/Modern-Perl/ChangeLog
+++ b/dev-perl/Modern-Perl/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*Modern-Perl-1.201.205.210 (26 May 2012)
+
+ 26 May 2012; Kent Fredric <kentfredric@gmail.com>
+ +Modern-Perl-1.201.205.210.ebuild:
+ Version Bump
+
27 Feb 2012; Kent Fredric <kentfredric@gmail.com> -Modern-Perl-1.30.0.ebuild:
Gone on CPAN
diff --git a/dev-perl/Modern-Perl/Modern-Perl-1.201.205.210.ebuild b/dev-perl/Modern-Perl/Modern-Perl-1.201.205.210.ebuild
new file mode 100644
index 0000000..d239b49
--- /dev/null
+++ b/dev-perl/Modern-Perl/Modern-Perl-1.201.205.210.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=CHROMATIC
+MODULE_VERSION=1.20120521
+inherit perl-module
+
+DESCRIPTION='enable all of the features of Modern Perl with one import'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+ # ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+ echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+ # Module::Build 0.3601 ( 0.360.100 )
+ echo \>=virtual/perl-Module-Build-0.36.01
+}
+perl_meta_build() {
+ # Module::Build 0.3601 ( 0.360.100 )
+ echo \>=virtual/perl-Module-Build-0.36.01
+ # Test::More 0.98 ( 0.980.0 )
+ echo \>=virtual/perl-Test-Simple-0.980.0
+}
+perl_meta_runtime() {
+ # IO::File
+ echo virtual/perl-IO
+ # IO::Handle
+ echo virtual/perl-IO
+ # autodie 2.10 ( 2.100.0 )
+ echo \>=dev-perl/autodie-2.100.0
+ # feature
+ echo dev-lang/perl
+ # mro
+ echo dev-lang/perl
+ # perl 5.010 ( 5.10.0 )
+ echo \>=dev-lang/perl-5.10.0
+ # strict
+ echo dev-lang/perl
+ # warnings
+ echo dev-lang/perl
+}
+DEPEND="
+ $(perl_meta_configure)
+ $(perl_meta_build)
+ $(perl_meta_runtime)
+"
+RDEPEND="
+ $(perl_meta_runtime)
+"
+SRC_TEST="do"
next reply other threads:[~2012-05-27 2:32 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-05-27 2:30 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-03-12 2:44 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Modern-Perl/ Kent Fredric
2012-11-04 13:51 Kent Fredric
2012-02-27 21:01 Kent Fredric
2012-02-27 21:01 Kent Fredric
2012-02-27 21:01 Kent Fredric
2011-02-09 15:56 Torsten Veller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1338075856.0ec3111629eeb814a37abdaf172b1ebe94786015.kent@gentoo \
--to=kentfredric@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox